:root {
  --btn-color: #fdfdfd; /* button color*/
  --btn-bg: #a2d278; /* button bg color*/

  --header-link-hover: #a2d278;
  --site-bg: #000000;
  --site-text-dark: #000000;
  --site-text: #ffffff;
  --primary-text-color: #a2d278;
  /* --link-hover: #4f55c1; */
  --input-hover-bd-color: black;
}

html {
  scroll-behavior: smooth;
}

header {
  background-color: var(--site-bg);
}

header > .collapsible-header {
  display: flex;
  gap: 1rem;
  width: 100%;
  background-color: var(--site-bg);
  place-content: center;
  overflow: hidden;
}

.animated-collapse {
  transition: width 0.3s ease;
}

.header-links {
  display: flex;
  align-items: center;
  min-width: fit-content;
  border-radius: 25px;
  padding: 8px 15px;
  transition: background-color 0.3s, color 0.3s;
}

.header-links:hover {
  background-color: var(--header-link-hover);
  color: #000;
}

.black-text {
  color: #000;
}

.white-text {
  color: #fff;
}

.primary-text-color {
  color: var(--primary-text-color);
}

.opacity-0 {
  opacity: 0 !important;
}

.opacity-100 {
  opacity: 100 !important;
}

.btn {
  padding: 10px 15px;
  width: max-content;
  border-radius: 25px;
  color: var(--site-text-dark);
  background-color: var(--btn-bg);
  justify-content: center;
  align-items: center;
  display: flex;
  gap: 10px;
}

.btn:hover {
}

.input {
  padding: 10px;
  border-radius: 10px;
  outline: none;
  min-width: 100px;
  border: 2px solid #cecece;
  transition: border 0.3s;
  color: #000;
}

.input:active,
.input:focus,
.input:focus-within {
  border: 2px solid var(--input-hover-bd-color);
}

.slides {
  display: none;
  position: relative;
  height: 100%;
}

/* Slideshow container */
.slideshow-container {
  width: 100%;
  position: relative;
  margin: auto;
  overflow: hidden;
  height: 100%;
}

.slideshow-container img {
  vertical-align: middle;
  height: 100%;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  z-index: 10;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Caption text */
.slideshow-container .text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Navigation dots styling */
.dots-container {
  text-align: center;
  margin-top: 20px;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 10px;
  width: 10px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dots-container .active,
.dot:hover {
  background-color: #fff;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

.footer-link {
  color: #fff;
  transition: color 0.3s;
}

.footer-link:hover {
  color: #0fe857;
}

.review-container {
  position: relative;
  max-width: 600px;
  margin: auto;
}

.review-slide {
  display: none;
  padding: 20px;
  text-align: center;
}

.fade {
  animation: fadeEffect 1s ease-in-out;
}

@keyframes fadeEffect {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.stars {
  display: inline-block;
  font-size: 40px;
  cursor: pointer;
}
.stars .star {
  color: #ccc;
  transition: color 0.2s;
}
.stars .star:hover,
.stars .star.active {
  color: gold;
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .prev,
  .next,
  .text {
    font-size: 11px;
  }
}

@media not all and (min-width: 768px) {
  header .collapsible-header {
    position: absolute;
    right: 0px;
    flex-direction: column;
    justify-content: space-between;
    opacity: 0;
    height: 100vh;
    width: 0vw;
    padding: 5px;
    padding-top: 5%;
    padding-bottom: 5%;
    place-items: end;
    background-color: black;
    color: white;
  }
}

.aboutUsImage {
  border-radius: 10px;
}
